de.esprit.appsuite.gui

## Class ApplicationToolWindowAdapter

- java.lang.Object
- - de.esprit.common.gui.ToolWindowAdapter
  - - de.esprit.appsuite.gui.ApplicationToolWindowAdapter

-     public class ApplicationToolWindowAdapter
      extends ToolWindowAdapter

  This class implements most of the common behavior of `ToolDialog` and `ToolFrame`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationToolWindowAdapter(ApplicationToolWindow window)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApplyListener(ApplyEvent.Listener l)`
    `void` | `fireApplied()`
    `Applier` | `getApplier()`
    `ButtonPanel` | `getButtonPanel()`
    `java.awt.Component` | `getCaller()`
    `ApplicationToolWindow` | `getWindow()`
    `boolean` | `isCancelled()`
    `boolean` | `isRelocateOnPopup()`
    `void` | `placeButtonPanel()`
    `void` | `removeApplyListener(ApplyEvent.Listener l)`
    `void` | `setCaller(java.awt.Component caller)`
    `void` | `setCancelled(boolean isCancelled)`
    `void` | `setDefaultButton(javax.swing.JButton button)`
    `void` | `setRelocateOnPopup(boolean isRelocateOnPopup)`

    - ### Methods inherited from class de.esprit.common.gui.ToolWindowAdapter

      `ensurePacked, isLocated, isPacked, repack, setLocationRelativeTo, shiftLocation, storeLocated, storePacked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationToolWindowAdapter

          public ApplicationToolWindowAdapter(ApplicationToolWindow window)

  - ### Method Detail

    - #### setDefaultButton

          public void setDefaultButton(javax.swing.JButton button)

    - #### placeButtonPanel

          public void placeButtonPanel()

    - #### setCaller

          public void setCaller(java.awt.Component caller)

    - #### getCaller

          public java.awt.Component getCaller()

    - #### getButtonPanel

          public ButtonPanel getButtonPanel()

    - #### getApplier

          public Applier getApplier()

    - #### isCancelled

          public boolean isCancelled()

    - #### setCancelled

          public void setCancelled(boolean isCancelled)

    - #### getWindow

          public ApplicationToolWindow getWindow()

      Overrides:
        `getWindow` in class `ToolWindowAdapter`

    - #### isRelocateOnPopup

          public final boolean isRelocateOnPopup()

    - #### setRelocateOnPopup

          public void setRelocateOnPopup(boolean isRelocateOnPopup)

    - #### addApplyListener

          public void addApplyListener(ApplyEvent.Listener l)

    - #### removeApplyListener

          public void removeApplyListener(ApplyEvent.Listener l)

    - #### fireApplied

          public void fireApplied()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.